aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xci/jobs/1-test/test.sh15
1 files changed, 10 insertions, 5 deletions
diff --git a/ci/jobs/1-test/test.sh b/ci/jobs/1-test/test.sh
index 64be63253..6c3d2be21 100755
--- a/ci/jobs/1-test/test.sh
+++ b/ci/jobs/1-test/test.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-set -exuo pipefail
+set -evu
./bootstrap
./configure CFLAGS="-ggdb -O0" \
@@ -8,17 +8,22 @@ set -exuo pipefail
make
make install
+
check_command()
{
- make check
+ # Set LD_LIBRARY_PATH so tests can find the installed libs
+ LD_LIBRARY_PATH=/usr/local/lib make check
}
print_logs()
{
- for i in $(cat src/util/test-suite.log | grep '^FAIL:' | cut -d' ' -f 2)
+ for i in src/*/test-suite.log
do
- echo Printing $i.log:
- tail src/util/$i.log
+ FAILURE="$(grep '^FAIL:' ${i} | cut -d' ' -f2)"
+ if [ ! -z "${FAILURE}" ]; then
+ echo "Printing ${FAILURE}.log"
+ tail "$(dirname $i)/${FAILURE}.log"
+ fi
done
}